RedCrawler API
Manage Posts V1

Send Replies V1

Enable or disable inbox reply notifications for a post.

POST /api/v1/publishing/sendreplies

Enable or disable inbox reply notifications for a post.

Body parameters

NameTypeRequiredDescription
poststringYesPost URL, ID, or t3_ prefixed ID.
proxystringNoProxy. Optional if stored in Token Vault.
statestringNotrue to enable, false to disable (default: true).
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/publishing/sendreplies" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"post": "1sys4r2", "proxy": "<proxy>", "state": "true", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/sendreplies", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "post": "1sys4r2",
  "proxy": "<proxy>",
  "state": "true",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/sendreplies"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "post": "1sys4r2",
  "proxy": "<proxy>",
  "state": "true",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {},
  "error": null,
  "timestamp": "2026-04-29T11:49:17.948207+00:00"
}

On this page